%define version 0.10.5
%define release %mkrel 1

Name: fbreader
Version: %{version}
Release: %{release}
Summary: Reader for e-books in various formats
License: GPL
Group:  Office
URL: http://www.fbreader.org
Source: http://www.fbreader.org/%{name}-sources-%{version}.tgz
BuildRequires: gtk+2-devel
BuildRequires: jpeg-devel
BuildRequires: libstdc++-devel
BuildRequires: libexpat-devel
BuildRequires: zlib-devel
BuildRequires: bzip2-devel
BuildRequires: linebreak-devel
BuildRequires: curl-devel
BuildRequires: fribidi-devel
Buildroot: %{_tmppath}/%{name}-%{version}

%description
FBReader is an e-book reader for various platforms.
Supported formats include: fb2, HTML, chm, plucker, palmdoc, zTxt,
TCR, RTF, OEB, OpenReader, mobipocket, plain text.

%prep
%setup -q
perl -pi -e 's/moc-qt4/moc/' makefiles/arch/desktop.mk

%build
make TARGET_ARCH="desktop" \
    UI_TYPE="gtk" \
    DESTDIR=%{buildroot} \
    INSTALLDIR=%{_prefix} \
    LIBDIR=%{_libdir}

%install
%make TARGET_ARCH="desktop" \
    UI_TYPE="gtk" \
    DESTDIR=%{buildroot} \
    INSTALLDIR=%{_prefix} \
    LIBDIR=%{_libdir} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/FBReader
%{_libdir}/libzlcore.so.*
%{_libdir}/libzltext.so.*
%{_libdir}/zlibrary/ui/zlui-gtk.so
%{_datadir}/FBReader/
%{_datadir}/pixmaps/
%{_datadir}/zlibrary/
%{_datadir}/applications/FBReader.desktop



%changelog
* Sat Mar 21 2009 Frederik Himpe <fhimpe@mandriva.org> 0.10.5-1mdv2009.1
+ Revision: 360066
- update to new version 0.10.5

* Thu Feb 05 2009 Funda Wang <fundawang@mandriva.org> 0.10.3-1mdv2009.1
+ Revision: 337713
- New version 0.10.3

* Sat Jan 24 2009 Funda Wang <fundawang@mandriva.org> 0.10.2-1mdv2009.1
+ Revision: 333331
- update to new version 0.10.2

* Sun Jan 18 2009 Funda Wang <fundawang@mandriva.org> 0.10.1-1mdv2009.1
+ Revision: 330824
- add BR
- New version 0.10.1

* Sat Jul 26 2008 Funda Wang <fundawang@mandriva.org> 0.8.17-2mdv2009.0
+ Revision: 250115
- rebuild

* Mon Jul 21 2008 Funda Wang <fundawang@mandriva.org> 0.8.17-1mdv2009.0
+ Revision: 239275
- BR jpeg

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - import fbreader


* Mon Jul 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.17-1mdv2009.0
- first mdv release, using package from Antony Dovgal <tony@daylessday.org> 
